Page MenuHomePhabricator

Item layout is a bit inconsistent when there are no statements and "other languages" is collapsed
Closed, ResolvedPublic

Description

no statements and everything collapsed.

"other languages" expanded.

for example, on beta:

http://wikidata.beta.wmflabs.org/wiki/Q4308?debug=true

I saw the collapsed version on beta and have been thinking it was a bug and would be fixed when we deployed a more current build there. But now realize this inconsistency is also on master.

It feels a bit weird to me that everything jumps position and the width of the layout decreases so much, simply with togging "other languages".

I am not sure what the intended behavior and design is?

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

aude created this task.Feb 22 2015, 4:00 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2015, 4:00 PM
Lydia_Pintscher triaged this task as High priority.Feb 22 2015, 4:38 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
aude added a comment.Feb 24 2015, 1:18 PM

I think some sort of simple, responsive grid should be applied within wikibase-entityview, maybe based on percentage width and a min-width for wikibase-entityview-main?

when trying this, it appears to work consistently with my browser (chrome + firefox) at various sizes

Change 192545 had a related patch set uploaded (by Aude):
More consistent layout w/ collapsed "other languages" and no statements

https://gerrit.wikimedia.org/r/192545

Patch-For-Review

This only happens on "empty" Entity pages. Not sure why this should be a blocker. The problem was in discussion before between Adrian and me with me considering it a Wont-Fix. The problem is supposed to resolve as soon as the Statement section's layout is reimplemented / the side bar sticking to the side. The changes applied in the linked patch set appear to be sort of random as there probably is no proper solution at the moment due to the layout being in some kind of mixed state. I myself was unable to come up with a good solution back then when updating the header section layout. As written before: With resolving the mixed layout state, the issue will vanish. Eventually, I will not take the responsibility to merge the work-around as I do not see that much of an issue here that should be worked-around with even more strange CSS that we already have. :-/

We can not roll out with this issue unsolved. There are still too many items where this would be an issue and get us a lot of flack on rollout unfortunately.

Tobi_WMDE_SW assigned this task to aude.Feb 25 2015, 2:58 PM

Change 194861 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
More consistent layout w/ collapsed "other languages" and no statements

https://gerrit.wikimedia.org/r/194861

Change 192545 abandoned by Aude:
More consistent layout w/ collapsed "other languages" and no statements

https://gerrit.wikimedia.org/r/192545

Change 194861 merged by jenkins-bot:
More consistent layout w/ collapsed "other languages" and no statements

https://gerrit.wikimedia.org/r/194861

aude closed this task as Resolved.Mar 7 2015, 12:19 PM
aude removed a project: Patch-For-Review.